import java.util.*;
import java.util.stream.Collectors;
import java.util.stream.Stream;

// Press Shift twice to open the Search Everywhere dialog and type `show whitespaces`,
// then press Enter. You can now see whitespace characters in your code.
public class Main {
    public static void main(String[] args) {
        List<Integer> list = List.of(2, 7, 3, 15, 8, 6, 24);
        reversedModByThree(list, 3);
        isPrime(29737);
    }

    private static List<Integer> reversedModByThree(List<Integer> input, Integer k) {
        List<Integer> list = new ArrayList<>(input.stream().filter(i -> i % k == 0).toList());
        Collections.reverse(list);
        return list;
    }

    private List<String> keepStringLenghtByKth(List<String> input, Integer k) {
        return input.stream().filter(i -> i.length() <= 5).toList();
    }

    private boolean isPrime(Integer num) {
        if (num <= 1)
            return false;
        if (num == 2 || num == 3)
            return true;
        if (num % 2 == 0 || num % 3 == 0)
            return false;

        for (int i = 5; i * i <= num; i = i + 6)
            if (num % i == 0 || num % (i + 2) == 0)
                return false;

        return true;
    }
}